# Method: advertisers.negativeKeywordLists.list

> [!WARNING]
> Display \& Video 360 API v2 has sunset.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.negativeKeywordLists/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.negativeKeywordLists/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.negativeKeywordLists/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.negativeKeywordLists/list#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.negativeKeywordLists/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.negativeKeywordLists/list#body.ListNegativeKeywordListsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.negativeKeywordLists/list#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.negativeKeywordLists/list#try-it)

Lists negative keyword lists based on a given advertiser id.

### HTTP request

`GET https://displayvideo.googleapis.com/v2/advertisers/{advertiserId}/negativeKeywordLists`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the DV360 advertiser to which the fetched negative keyword lists belong. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. Must be between `1` and `200`. Defaults to `100` if not set. Returns error code `INVALID_ARGUMENT` if an invalid value is specified. |
| `pageToken` | `string` A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/display-video/api/reference/rest/v2/advertisers.negativeKeywordLists/list#body.ListNegativeKeywordListsResponse.FIELDS.next_page_token` returned from the previous call to `negativeKeywordLists.list` method. If not specified, the first page of results will be returned. |

### Request body

The request body must be empty.

### Response body

Response message for NegativeKeywordListService.ListNegativeKeywordLists.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "negativeKeywordLists": [ { object (`https://developers.google.com/display-video/api/reference/rest/v2/advertisers.negativeKeywordLists#NegativeKeywordList`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `negativeKeywordLists[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v2/advertisers.negativeKeywordLists#NegativeKeywordList`)`` The list of negative keyword lists. This list will be absent if empty. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/display-video/api/reference/rest/v2/advertisers.negativeKeywordLists/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `negativeKeywordLists.list` method to retrieve the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).